> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create One SCP Grant For Recipients

> Creates one stablecoin-payroll grant per recipient for a token type, creating the grant configuration if missing.

Not available to API keys yet. It will need `payroll:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-one-scp-grant-for-recipients
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-one-scp-grant-for-recipients:
    post:
      operationId: createOneSCPGrantForRecipients
      summary: Create One SCP Grant For Recipients
      description: >-
        Creates one stablecoin-payroll grant per recipient for a token type,
        creating the grant configuration if missing.


        Not available to API keys yet. It will need `payroll:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOneSCPGrantForRecipientsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOneSCPGrantForRecipientsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateOneSCPGrantForRecipientsRequest:
      type: object
      properties:
        scpInfoList:
          type: array
          items:
            type: object
            properties:
              roleInOrgID:
                type: string
                format: uuid
              scpName:
                type: string
                minLength: 1
                maxLength: 200
            required:
              - roleInOrgID
              - scpName
          minItems: 1
          maxItems: 500
        grantConfigName:
          type: string
          minLength: 1
          maxLength: 200
        tokenTypeID:
          type: string
          format: uuid
      required:
        - scpInfoList
        - grantConfigName
        - tokenTypeID
    CreateOneSCPGrantForRecipientsResponse:
      type: object
      properties:
        grantsCreated:
          type: integer
      required:
        - grantsCreated
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
